|  | Home · All Classes · All Functions · Overviews

# Obsolete Members for QDir

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QDir class reference

## Public Functions

QDir & | operator= ( const QString & path ) `(obsolete)`

## Static Public Members

void | addResourceSearchPath ( const QString & path ) `(obsolete)`

## Member Function Documentation

### void QDir::addResourceSearchPath ( const QString & path ) `[static]`

Use QDir::addSearchPath() with a prefix instead.

Adds path to the search paths searched in to find resources that are not specified with an absolute path. The default search path is to search only in the root (`:/`).

See also The Qt Resource System.

### QDir & QDir::operator= ( const QString & path )

This is an overloaded function.

Sets the directory path to the given path.

Use setPath() instead.